service: tm-demo

# Create an optimized package for our functions
package:
  individually: true

plugins:
  - serverless-aws-documentation
  - serverless-pseudo-parameters
  - serverless-python-requirements
  
provider:
  name: aws
  runtime: python3.8
  stage: ${opt:stage, 'dev'}
  region: ${file(configs/${self:provider.stage}.yml):AWS_REGION}
  environment: # Global environment variable shared with all function
    STAGE: ${self:provider.stage}
    REGION: ${self:provider.region}

custom:
  test: test

functions:
  get-hello: ${file(resources/functions/hello.yml):get-hello}